<div class="">
	<button
		mat-flat-button
		color="accent"
		class="mb-20"
		(click)="createApp()"
		[disabled]="true">
		Создать заявление
	</button>

	<div class="art-card" [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<table mat-table
		       [dataSource]="applications">

			<ng-container matColumnDef="select">
				<th mat-header-cell *matHeaderCellDef>
					<mat-checkbox></mat-checkbox>
				</th>

				<td mat-cell *matCellDef="let row">
					<mat-checkbox></mat-checkbox>
				</td>
			</ng-container>

			<!-- Columns -->
			<ng-container matColumnDef="number">
				<th mat-header-cell *matHeaderCellDef> Номер </th>
				<td mat-cell *matCellDef="let row"> {{row.app_number}} </td>
			</ng-container>

			<ng-container matColumnDef="nameCompetitive">
				<th mat-header-cell *matHeaderCellDef> Конкурсная группа </th>
				<td mat-cell *matCellDef="let row"> {{row.name_competitive_group}} </td>
			</ng-container>

			<ng-container matColumnDef="stateName">
				<th mat-header-cell *matHeaderCellDef> Статус </th>
				<td mat-cell *matCellDef="let row">
					<div class="status">
						<span class="indicator" [appStatusCode]="row.code_status"></span>
						<span>{{row.name_status}}</span>
					</div>
				</td>
			</ng-container>

			<ng-container matColumnDef="registrationDate">
				<th mat-header-cell *matHeaderCellDef> Дата регистрации</th>
				<td mat-cell *matCellDef="let row"> {{row.registration_date | date:'dd.MM.yyyy'}} </td>
			</ng-container>

			<ng-container matColumnDef="original">
				<th mat-header-cell *matHeaderCellDef> Оригинал документа об образовании</th>
				<td mat-cell *matCellDef="let row"> {{row.original | yesNo}} </td>
			</ng-container>

			<ng-container matColumnDef="agreed">
				<th mat-header-cell *matHeaderCellDef> Согласие на зачисление</th>
				<td mat-cell *matCellDef="let row"> {{row.agreed | yesNo}} </td>
			</ng-container>

			<ng-container matColumnDef="rating">
				<th mat-header-cell *matHeaderCellDef>Рейтинг</th>
				<td mat-cell *matCellDef="let row"> {{row.rating}} </td>
			</ng-container>

			<ng-container matColumnDef="epgu">
				<th mat-header-cell *matHeaderCellDef>ЕПГУ</th>
				<td mat-cell *matCellDef="let row"> {{row.uid_epgu}} </td>
			</ng-container>

			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef [colSpan]="columnsHeader.length" ><i>Заявлений не найдено</i></td>
			</ng-container>


			<tr mat-header-row *matHeaderRowDef="columnsHeader"></tr>
			<tr mat-row class="table-row" *matRowDef="let row; columns: columnsHeader;"
				[routerLink]="['../../../application', row.id ]"
				[hidden]="applications.length === 0"></tr>

			<tr mat-footer-row *matFooterRowDef="['noRecord'] "
			    [hidden]="applications.length !== 0"></tr>

		</table>

	</div>




</div>
